#
# spec file for package keybinder3
#
# Copyright (c) 2013-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libname libkeybinder-3_0-0

Name:           keybinder3
Version:        3.0
Release:        6.1
Summary:        A library for registering global keyboard shortcuts
Group:          Development/Libraries/Other
Url:            https://github.com/engla/keybinder/tree/keybinder-3.0
License:        MIT and X11
Source0:        keybinder-%{version}.tar.bz2
Buildroot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  gnome-common
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
keybinder is a library for registering global keyboard shortcuts. 
Keybinder works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Python bindings, python-keybinder

%package -n %{libname}
Summary:        Library Package for Keybinder
Group:          System/Libraries

%description -n %{libname}
Library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Gobject-Introspection bindings

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{libname} = %{version}
Requires:       pkgconfig

%description devel
This package contains the development files for %{name}.

%package -n typelib-1_0-Keybinder-3_0
Summary:        A Library for Registering Global Keyboard Shortcuts -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Keybinder-3_0
Library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

This package provides the GObject Introspection bindings for libkeybinder0.

%prep
%setup -q -n keybinder-%{version}
rm examples/*.lua
rm examples/*.py

%build
[ -x autogen.sh ] && NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%makeinstall
# Clean up
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libkeybinder-3.0.so.*

%files devel
%defattr(-,root,root)
%doc examples
%{_includedir}/keybinder-3.0/
%{_includedir}/keybinder-3.0/keybinder.h
%{_libdir}/pkgconfig/keybinder-3.0.pc
%{_libdir}/libkeybinder-3.0.so
%{_datadir}/gir-1.0/Keybinder-3.0.gir

%files -n typelib-1_0-Keybinder-3_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Keybinder-3.0.typelib

%changelog
* Fri Aug  8 2014 malcolmlewis@opensuse.org
- Clean up spec file for inclusion into factory.
* Wed Oct 30 2013 rsalevsky@suse.com
- Create package.
